//
// Created by HW on 2023/07/27.
//

#ifndef OFFICEASSISTANT_MAINSCREEN_H
#define OFFICEASSISTANT_MAINSCREEN_H

#include <QWidget>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QPushButton>
#include "qminiblink.h"
#include "applicationmanager.h"
class MyThread;
QT_BEGIN_NAMESPACE
namespace Ui { class MainScreen; }
QT_END_NAMESPACE

class MainScreen : public QWidget {
Q_OBJECT
signals:
	void started();
	void ondestroy();
	void changeUrl(QString url);
	void initMiniBlink();
public:
    explicit MainScreen(QWidget *parent = nullptr);
    ~MainScreen() override;
public slots:
	void clickButton1(QString op, QString url);
	void firstUrl(QString url);
protected:
	//void resizeEvent(QResizeEvent *event) override;
private:
    Ui::MainScreen *ui;
	QHBoxLayout *layout;
	QVBoxLayout *layout_left;
	QPushButton *button;
	QIcon *icon;
	ApplicationManager* application_manager;
	QWidget *broswer;
	static bool isInited();
	QWidget *widget;
	MyThread *thread;
	QMiniBlink *miniblink;
	
private slots:
	void startWeChat();
};


#endif //OFFICEASSISTANT_MAINSCREEN_H
